Loading...
Searching...
No Matches
juce::AudioProcessLoadMeasurer::ScopedTimer Struct Reference

`#include <juce_AudioProcessLoadMeasurer.h>`

## Public Member Functions

| ScopedTimer (AudioProcessLoadMeasurer &)
| ScopedTimer (AudioProcessLoadMeasurer &, int numSamplesInBlock)

## Detailed Description

This class measures the time between its construction and destruction and adds it to an AudioProcessLoadMeasurer.

e.g.

{
AudioProcessLoadMeasurer::ScopedTimer timer (myProcessLoadMeasurer);
myCallback->doTheCallback();
}
juce::AudioProcessLoadMeasurer::ScopedTimer
Definition juce_AudioProcessLoadMeasurer.h:73

Definition at line 72 of file juce_AudioProcessLoadMeasurer.h.

## Constructor & Destructor Documentation

## ScopedTimer() [1/2]

juce::AudioProcessLoadMeasurer::ScopedTimer::ScopedTimer | ( | AudioProcessLoadMeasurer & | p | ) |

Definition at line 81 of file juce_AudioProcessLoadMeasurer.cpp.

## ScopedTimer() [2/2]

juce::AudioProcessLoadMeasurer::ScopedTimer::ScopedTimer | ( | AudioProcessLoadMeasurer & | p,
|  | int | numSamplesInBlock )

Definition at line 86 of file juce_AudioProcessLoadMeasurer.cpp.

## ~ScopedTimer()

juce::AudioProcessLoadMeasurer::ScopedTimer::~ScopedTimer | ( |  | ) |

Definition at line 94 of file juce_AudioProcessLoadMeasurer.cpp.

The documentation for this struct was generated from the following files:

- juce_AudioProcessLoadMeasurer.h
- juce_AudioProcessLoadMeasurer.cpp